<?php

namespace App\Media\QuickTime\Atoms\moov;

// An atom that defines a single track of a movie

use App\Media\QuickTime\Atoms\SubAtom;
use App\Media\QuickTime\Atoms\Unknown;

class trak extends SubAtom
{
	private const subatom_classes = 'App\\Media\\QuickTime\\Atoms\\moov\\trak\\';

	public function __construct(int $offset,int $size,string $filename,?string $data) {
		parent::__construct($offset,$size,$filename);

		$this->atoms = $this->get_atoms(self::subatom_classes,Unknown::class,$offset,$size,$data);
	}
}